Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

- Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `execute()`
    `` | `void` | `setDir(String dir)`
    `` | `void` | `setVerbose(boolean v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addDate, addType, setExcludes, setIncludes, setCaseSensitive, setDefaultexcludes, createIncludesFile, createExcludesFile, addContainsRegexp, XsetItems, XsetIgnore, addSelector, setProject, setFollowSymlinks, createPatternSet, createExclude, hasSelectors, setIncludesfile, selectorCount, selectorElements, setExcludesfile, appendSelector, createInclude, getSelectors, addAnd, addOr, addNot, addModified, addCustom, addNone, addDifferent, addMajority, addContains, addDepend, addSize, addDepth, addPresent, addFilename, log, log, log, log, init, execute, getTaskName, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, getOwningTarget, getTaskType, setTaskName, setOwningTarget, setTaskType, maybeConfigure, reconfigure, perform, bindToOwner, clone, getLocation, setLocation, getDescription, getProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `log, log, log, log, init, execute, getTaskName, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, getOwningTarget, getTaskType, setTaskName, setOwningTarget, setTaskType, maybeConfigure, reconfigure, perform, bindToOwner, clone, getLocation, setLocation, getDescription, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)